> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/error-code-and-response-code.md).

# Error Code And Response Code

### Response Code

* **Register Service**

<table><thead><tr><th width="98">Code</th><th>Descriptions</th></tr></thead><tbody><tr><td>1</td><td>On process</td></tr><tr><td>2</td><td>Success</td></tr><tr><td>3</td><td>Unconfirmed by parent partner</td></tr><tr><td>4</td><td>Failed</td></tr><tr><td>6</td><td>Already registered</td></tr><tr><td>9</td><td>Error message</td></tr></tbody></table>

* **Transaction**

<table><thead><tr><th width="100">Code</th><th>Descriptions</th></tr></thead><tbody><tr><td>1</td><td>On process</td></tr><tr><td>2</td><td>Success</td></tr><tr><td>4</td><td>Failed</td></tr></tbody></table>

* **Response Message**

<table><thead><tr><th width="105">Code</th><th>Descriptions</th></tr></thead><tbody><tr><td>00</td><td>Success</td></tr><tr><td>01</td><td>Parameter 'trx_amount' is mandatory</td></tr><tr><td>99</td><td>Internal Error</td></tr><tr><td>02</td><td>Invalid value ‘fee’ for parameter 'trx_desc’</td></tr></tbody></table>

### Error Code

* **Transfer**

<table><thead><tr><th width="293">Case</th><th width="82.49455676516331">Code</th><th>Descriptions</th></tr></thead><tbody><tr><td>Invalid VA</td><td>9</td><td>Invalid Virtual Account</td></tr><tr><td>Invalid beneficiary_virtual_account / beneficiary_bank_code</td><td>9</td><td>Beneficiary Virtual Account Invalid</td></tr><tr><td>Invalid beneficiary_account</td><td>9</td><td>Beneficiary Account Not Match</td></tr><tr><td>Invalid beneficiary_name</td><td>9</td><td>Beneficiary Name Not Match</td></tr><tr><td>Trx No duplicate</td><td>9</td><td>Your Transaction Number already exists</td></tr><tr><td>Invalid format amount</td><td>9</td><td>Invalid Request body</td></tr><tr><td>Invalid value ‘fee’ for parameter ‘trx_desc’</td><td>9</td><td>Invalid Transaction Description Value</td></tr></tbody></table>

* **Inquiry Status**

<table><thead><tr><th>Case</th><th width="150">Code</th><th>Descriptions</th></tr></thead><tbody><tr><td>Inquiry status, invalid trx_no or trx_ID</td><td>9</td><td>Transaction not found</td></tr></tbody></table>

* **Mutasi**

<table><thead><tr><th>Case</th><th width="150">Code</th><th>Descriptions</th></tr></thead><tbody><tr><td>Value ‘start_date’ exceeds allowed historical period</td><td>9</td><td>Transaction History Exceeds Allowed Historical Period</td></tr></tbody></table>

* **General**

<table><thead><tr><th width="134">Case</th><th>Descriptions</th></tr></thead><tbody><tr><td>9</td><td>Unauthorized</td></tr><tr><td>Others Error</td><td>Please contact Faspay</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/error-code-and-response-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
